"""
Модуль является результатом выполнения практической
домашней работы по теме 
"Знакомство с условными конструкциями"

:copyright: Сергей Ванюшкин <pi3c@yandex.ru>
:git: https://git.pi3c.ru/pi3c/StudyRepo_Synergy.git
:license: MIT
2023г.
"""

# 1. Давайте не буду обрабатывать исключения с некорректными
# введенными данными, а просто сделаю так и не буду усложнять:
print(
    "Вы {}совершеннолетний".format(
        "не" if int(input("Ваш возраст: ")) in range(0, 18) else ""
    )
)

# 2. Вывод немного не по тз, но проще(по моему)
num1, num2 = map(int, input("Введите два числа через пробел: ").split())
if num1 == num2:
    print("Оба числа равны")
else:
    print("Первое число {} второго".format("больше" if num1 > num2 else "меньше"))

# 3.
name = input("Введите ваше имя: ")
print(f"Привет, {name}!" if name else "Вы не ввели имя🤨!")
